<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.account.FencesAddActivity">

    <include
        android:id="@+id/fences_add_bar"
        layout="@layout/layout_top_bar" />


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.fragment.app.FragmentContainerView
            android:id="@+id/fences_add_map_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="@dimen/dp_200" />

        <com.abbidot.tracker.widget.FencesCircleView
            android:id="@+id/fences_add_map_circle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/fences_add_map_view"
            android:layout_alignBottom="@id/fences_add_map_view" />

        <com.abbidot.tracker.widget.FencesRectView
            android:id="@+id/fences_add_map_rect"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/fences_add_map_view"
            android:layout_alignBottom="@id/fences_add_map_view"
            android:visibility="gone" />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/fences_add_search_address"
            style="@style/my_EditText_style"
            android:layout_height="@dimen/dp_36"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape30_white_edit"
            android:gravity="start|center_vertical"
            android:paddingEnd="@dimen/dp_42"
            android:textSize="@dimen/textSize12" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/fences_search_address_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/fences_add_search_address"
            android:layout_alignEnd="@id/fences_add_search_address"
            android:layout_alignBottom="@id/fences_add_search_address"
            android:layout_marginEnd="@dimen/dp_10"
            android:src="@drawable/ico_search" />

        <!--        <com.mapbox.search.ui.view.SearchResultsView-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="match_parent"-->
        <!--            android:background="@drawable/shape_white_bg_radius20"-->
        <!--            android:elevation="@dimen/dp_8"-->
        <!--            android:visibility="gone" />-->

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/search_baidu_map_results_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/fences_add_search_address"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_4"
            android:layout_marginEnd="@dimen/dp_16"
            android:layout_marginBottom="@dimen/dp_10"
            android:background="@drawable/shape20_white_bg"
            android:elevation="@dimen/dp_8"
            android:minHeight="@dimen/dp_200"
            android:visibility="gone" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_255"
            android:layout_alignParentBottom="true"
            android:background="@drawable/shape50_white_half_bottom_bg">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/add_fences_address"
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_marginStart="@dimen/dp_28"
                android:layout_marginTop="@dimen/dp_18"
                android:drawableStart="@drawable/ico_fence_address"
                android:drawablePadding="@dimen/dp_4"
                android:gravity="start"
                android:textColor="@color/fences_address_color"
                android:textSize="@dimen/textSize12"
                android:visibility="invisible"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_fences_show_shape"
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_below="@id/add_fences_address"
                android:layout_alignStart="@id/add_fences_address"
                android:layout_marginTop="@dimen/dp_8"
                android:layout_marginEnd="@dimen/dp_8"
                android:layout_marginBottom="@dimen/dp_16"
                android:paddingTop="@dimen/dp_8"
                android:text="@string/tracker_manage_set_fence_shape"
                android:textSize="@dimen/textSize16"
                app:typeface="@string/roboto_regular_font" />

            <RadioGroup
                android:id="@+id/radiogroup_fences_show_shape_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/add_fences_address"
                android:layout_alignTop="@id/tv_fences_show_shape"
                android:layout_toEndOf="@id/tv_fences_show_shape"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatRadioButton
                    android:id="@+id/selector_fence_circle_shape"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:button="@drawable/selector_fence_circle_shape"
                    android:checked="true" />

                <androidx.appcompat.widget.AppCompatRadioButton
                    android:id="@+id/selector_fence_rectangle_shape"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:button="@drawable/selector_fence_rectangle_shape" />

            </RadioGroup>

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/add_fences_name_text"
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_below="@id/tv_fences_show_shape"
                android:layout_alignStart="@id/add_fences_address"
                android:layout_marginTop="@dimen/dp_8"
                android:text="@string/tracker_manage_set_fence_name"
                android:textSize="@dimen/textSize16"
                app:typeface="@string/roboto_regular_font" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/add_fences_name_edit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/add_fences_address"
                android:layout_alignBaseline="@id/add_fences_name_text"
                android:layout_marginStart="@dimen/dp_8"
                android:layout_toEndOf="@id/add_fences_name_text"
                android:maxLines="1"
                android:minWidth="@dimen/dp_110"
                android:textSize="@dimen/textSize16" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/add_activate_fences_name"
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_below="@id/add_fences_name_text"
                android:layout_alignStart="@id/add_fences_name_text"
                android:layout_marginTop="@dimen/dp_24"
                android:text="@string/tracker_manage_set_fence_activate"
                android:textSize="@dimen/textSize16"
                app:typeface="@string/roboto_regular_font" />

            <androidx.appcompat.widget.AppCompatCheckBox
                android:id="@+id/add_activate_fences_checkbox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@id/add_activate_fences_name"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_toEndOf="@id/add_activate_fences_name"
                android:background="@null"
                android:button="@drawable/qmui_s_icon_switch" />

            <com.abbidot.tracker.widget.TypefaceRoundButton
                android:id="@+id/add_fences_ok_btn"
                style="@style/my_QMUIRoundButton_big_style"
                android:layout_below="@id/add_activate_fences_name"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/dp_18"
                android:text="@string/tracker_manage_set_finish"
                app:qmui_backgroundColor="@color/btn_yellow_color"
                app:typeface="@string/roboto_bold_font" />
        </RelativeLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/mapbox.search_results_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/fences_add_search_address"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_4"
            android:layout_marginEnd="@dimen/dp_16"
            android:layout_marginBottom="@dimen/dp_12"
            android:orientation="vertical"
            android:visibility="gone" />
    </RelativeLayout>
</androidx.appcompat.widget.LinearLayoutCompat>